package com.fjhx.mes.entity.work.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工单定制工艺线路
 * </p>
 *
 * @author 
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("work_order_process_line")
public class WorkOrderProcessLine extends BasePo {

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 来源工序id
     */
    private Long sourceProcessesId;

    /**
     * 目标工序id
     */
    private Long targetProcessesId;

}
